#ifndef _CUBIC_T_H
#define _CUBIC_T_H

#include "parse.h"
#include "../source/ct_clip.c"
#include "../source/ct_scan.c"

static int CubicFaceNum = 3;

class CubicTetra        // Cubic tetrahedron
{
  private:
	 FormPoly out;       // Output polygon
	 CubicClip clip;     // Polygon clipper
	 CubicScan scan;     // Polygon scan conversion

  public:
	 BOOL GetStatus() { return scan.GetStatus(); }
	 void CalcFormFactors( Patch3 *, Instance *, float *,
		  WORD );
};

typedef CubicTetra FormFactor;  // Class alias

#endif

