
#ifndef _HC_CLIP_H
#define _HC_CLIP_H

#include "hc_poly.h"
#include "../source/ff_clip.c"

// Clipping plane identifiers
enum HC_Plane
{ HC_Front, HC_Left, HC_Right, HC_Top, HC_Bottom };

// Hemicube polygon clipper
class HemiClip : public FormClip
{
  private:
    void BuildTransform( Vector3 &, Vector3 &, Vector3 & );

  public:
    HemiClip();

    void SetView( Patch3 * );
    void UpdateView( int );
};

#endif

