
#ifndef _HC_SCAN_H
#define _HC_SCAN_H

#include "../source/ff_scan.c"
#include "../source/hc_delta.c"

// Hemicube polygon scan conversion
class HemiScan : public FormScan
{
  private:
    HemiDelta dff;      // Delta form factors

  public:
    HemiScan();

    ~HemiScan();

    void InitBuffer();
    void DrawEdgeList();
    void SumDeltas( float *, int );
};

#endif

