
#ifndef _HEMICUBE_H
#define _HEMICUBE_H

#include "parse.h"
#include "../source/hc_clip.c"
#include "../source/hc_scan.c"

static int HemiFaceNum = 5;

class HemiCube          // Hemicube
{
  private:
    FormPoly out;       // Output polygon
    HemiClip clip;      // Polygon clipper
    HemiScan scan;      // Polygon scan conversion

  public:
    BOOL GetStatus() { return scan.GetStatus(); }
    void CalcFormFactors( Patch3 *, Instance *, float *,
        WORD );
};

typedef HemiCube FormFactor;    // Class alias

#endif

