/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "ui_form.h"

FD_Paint *create_form_Paint(void)
{
  FL_OBJECT *obj;
  FD_Paint *fdui = (FD_Paint *) fl_calloc(1, sizeof(*fdui));

  fdui->Paint = fl_bgn_form(FL_NO_BOX, 630, 340);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,630,340,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->file_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,10,30,30,20,"File");
    fl_set_object_shortcut(obj,"#f",1);
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
    fl_set_object_callback(obj,callback_fileMenu,0);
  fdui->camera_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,40,30,50,20,"Camera");
    fl_set_object_shortcut(obj,"#c",1);
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
    fl_set_object_callback(obj,callback_cameraMenu,0);
  fdui->render_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,90,30,50,20,"Render");
    fl_set_object_shortcut(obj,"#R",1);
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
    fl_set_object_callback(obj,callback_renderMenu,0);
  fdui->options_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,140,30,50,20,"Options");
    fl_set_object_shortcut(obj,"#O",1);
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
    fl_set_object_callback(obj,callback_optionsMenu,0);
  obj = fl_add_frame(FL_SHADOW_FRAME,10,0,610,20,"HELIOS - Radiosity Renderer");
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_ENGRAVED_STYLE);
  fdui->pane = obj = fl_add_box(FL_BORDER_BOX,290,50,328,248,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
  fdui->exit = obj = fl_add_button(FL_NORMAL_BUTTON,600,0,20,20,"X");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Exit = obj = fl_add_button(FL_NORMAL_BUTTON,290,300,330,30,"E             X             I             T");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_COL1);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_EMBOSSED_STYLE);
  fdui->refresh = obj = fl_add_button(FL_NORMAL_BUTTON,290,30,330,20,"R E F R E S H");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_COL1);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
    fl_set_object_callback(obj,callback_refresh,0);
  fdui->about_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,240,30,40,20,"About");
    fl_set_object_shortcut(obj,"#A",1);
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
    fl_set_object_callback(obj,callback_aboutMenu,0);
  fl_end_form();

  fdui->Paint->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_Set_Camera *create_form_Set_Camera(void)
{
  FL_OBJECT *obj;
  FD_Set_Camera *fdui = (FD_Set_Camera *) fl_calloc(1, sizeof(*fdui));

  fdui->Set_Camera = fl_bgn_form(FL_NO_BOX, 450, 370);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,450,370,"Camera Parameters");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,20,30,230,130,"Camera Distances");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->view = obj = fl_add_input(FL_FLOAT_INPUT,140,50,90,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->front_plane = obj = fl_add_input(FL_FLOAT_INPUT,140,90,90,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->back_plane = obj = fl_add_input(FL_FLOAT_INPUT,140,130,90,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,50,110,20,"View:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,90,110,20,"Front Plane:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,130,110,20,"Back Plane:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,20,180,230,60,"Window Scale");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->scaling_factor = obj = fl_add_input(FL_FLOAT_INPUT,140,200,90,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,200,110,20,"Scaling Factor:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,20,260,230,90,"Window Scale");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->horizontal_pixels = obj = fl_add_input(FL_FLOAT_INPUT,180,280,50,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->vertical_pixels = obj = fl_add_input(FL_FLOAT_INPUT,180,320,50,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,280,110,20,"Horizontal Pixels:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,320,110,20,"Vertical Pixels:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,270,260,160,90,"Projection");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,270,180,160,60,"Camera Tilt");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->degrees = obj = fl_add_input(FL_FLOAT_INPUT,280,200,70,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  obj = fl_add_text(FL_NORMAL_TEXT,360,200,60,20,"Degrees");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_button(FL_NORMAL_BUTTON,320,30,110,30,"OK");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form7_OK,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,320,70,110,30,"Cancel");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,Set_Camera_Cancel,0);
  fdui->form7_UPDATE = obj = fl_add_button(FL_NORMAL_BUTTON,320,110,110,30,"Update");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form7_UPDATE,0);
  fdui->perspective = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,280,280,100,20,"Perspective");
    fl_set_object_color(obj,FL_WHITE,FL_BLACK);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_perspective,0);
  fdui->parallel = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,280,310,100,20,"Parallel");
    fl_set_object_color(obj,FL_WHITE,FL_BLACK);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_parallel,0);
  fl_end_form();

  fdui->Set_Camera->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_Set_View *create_form_Set_View(void)
{
  FL_OBJECT *obj;
  FD_Set_View *fdui = (FD_Set_View *) fl_calloc(1, sizeof(*fdui));

  fdui->Set_View = fl_bgn_form(FL_NO_BOX, 510, 170);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,510,170,"View Parameters");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,20,30,170,120,"Eye Position");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,210,30,180,120,"Focus Position");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->eye_x_axis = obj = fl_add_input(FL_FLOAT_INPUT,100,50,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->eye_y_axis = obj = fl_add_input(FL_FLOAT_INPUT,100,80,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->eye_z_axis = obj = fl_add_input(FL_FLOAT_INPUT,100,110,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,50,60,20,"X-Axis:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,80,60,20,"Y-Axis:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,110,60,20,"Z-Axis:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->focus_x_axis = obj = fl_add_input(FL_FLOAT_INPUT,290,50,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->focus_y_axis = obj = fl_add_input(FL_FLOAT_INPUT,290,80,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->focus_z_axis = obj = fl_add_input(FL_FLOAT_INPUT,290,110,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  obj = fl_add_text(FL_NORMAL_TEXT,220,50,60,20,"X-Axis:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,220,80,60,20,"Y-Axis:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,220,110,60,20,"Z-Axis:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_button(FL_NORMAL_BUTTON,400,30,100,30,"OK");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form8_OK,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,400,70,100,30,"Cancel");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,Set_View_Cancel,0);
  fdui->form8_UPDATE = obj = fl_add_button(FL_NORMAL_BUTTON,400,110,100,30,"Update");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form8_UPDATE,0);
  fl_end_form();

  fdui->Set_View->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_Set_Display *create_form_Set_Display(void)
{
  FL_OBJECT *obj;
  FD_Set_Display *fdui = (FD_Set_Display *) fl_calloc(1, sizeof(*fdui));

  fdui->Set_Display = fl_bgn_form(FL_NO_BOX, 530, 250);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,530,250,"Display Parameters");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,20,30,180,90,"Intensity");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,20,140,180,90,"Gamma");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,220,30,180,90,"Contrast");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,220,140,180,90,"Color Reduction");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_button(FL_NORMAL_BUTTON,420,30,100,30,"OK");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form3_OK,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,420,70,100,30,"Cancel");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,Set_Display_Cancel,0);
  fdui->form3_UPDATE = obj = fl_add_button(FL_NORMAL_BUTTON,420,110,100,30,"Update");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form3_UPDATE,0);
  fdui->intensity_factor = obj = fl_add_input(FL_FLOAT_INPUT,100,50,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->gamma_factor = obj = fl_add_input(FL_FLOAT_INPUT,100,160,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->contrast_factor = obj = fl_add_input(FL_FLOAT_INPUT,300,50,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->color_reduction_noise_level = obj = fl_add_input(FL_INT_INPUT,350,160,30,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,50,60,20,"Factor:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,160,60,20,"Factor:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,230,50,60,20,"Factor:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,230,160,100,20,"Noise Level:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->color_reduction_enabled = obj = fl_add_checkbutton(FL_PUSH_BUTTON,230,200,90,20,"Enabled");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->gamma_enabled = obj = fl_add_checkbutton(FL_PUSH_BUTTON,30,200,90,20,"Enabled");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->intensity_enabled = obj = fl_add_checkbutton(FL_PUSH_BUTTON,30,90,90,20,"Enabled");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->contrast_enabled = obj = fl_add_checkbutton(FL_PUSH_BUTTON,230,90,90,20,"Enabled");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_end_form();

  fdui->Set_Display->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_Set_Color *create_form_Set_Color(void)
{
  FL_OBJECT *obj;
  FD_Set_Color *fdui = (FD_Set_Color *) fl_calloc(1, sizeof(*fdui));

  fdui->Set_Color = fl_bgn_form(FL_NO_BOX, 320, 160);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,320,160,"Color Parameters");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
  obj = fl_add_button(FL_NORMAL_BUTTON,210,20,100,30,"OK");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form4_OK,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,210,60,100,30,"Cancel");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,Set_Color_Cancel,0);
  fdui->form4_UPDATE = obj = fl_add_button(FL_NORMAL_BUTTON,210,100,100,30,"Update");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form4_UPDATE,0);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,20,20,170,120,"Color Display");
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->rgb_color = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,30,40,100,20,"RGB Color");
    fl_set_object_color(obj,FL_WHITE,FL_BLACK);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_rgb_color,0);
  fdui->grayscale = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,30,70,100,20,"Grayscale");
    fl_set_object_color(obj,FL_WHITE,FL_BLACK);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_grayscale,0);
  fdui->pseudocolor = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,30,100,100,20,"Pseudocolor");
    fl_set_object_color(obj,FL_WHITE,FL_BLACK);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_pseudocolor,0);
  fl_end_form();

  fdui->Set_Color->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_Set_Convergence *create_form_Set_Convergence(void)
{
  FL_OBJECT *obj;
  FD_Set_Convergence *fdui = (FD_Set_Convergence *) fl_calloc(1, sizeof(*fdui));

  fdui->Set_Convergence = fl_bgn_form(FL_NO_BOX, 390, 190);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,390,190,"Convergence Parameters");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
  fdui->ambient_exitance = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,110,130,20,"Ambient Exitance");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->positive_overshoot = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,150,130,20,"Positive Overshoot");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,30,110,20,"Maximum Steps:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,70,110,20,"Stopping Criterion:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->maximum_steps = obj = fl_add_input(FL_FLOAT_INPUT,170,30,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  fdui->stopping_criterion = obj = fl_add_input(FL_FLOAT_INPUT,170,70,80,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  obj = fl_add_button(FL_NORMAL_BUTTON,270,30,100,30,"OK");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form5_OK,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,270,70,100,30,"Cancel");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,Set_Convergence_Cancel,0);
  fl_end_form();

  fdui->Set_Convergence->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_Entities *create_form_Entities(void)
{
  FL_OBJECT *obj;
  FD_Entities *fdui = (FD_Entities *) fl_calloc(1, sizeof(*fdui));

  fdui->Entities = fl_bgn_form(FL_NO_BOX, 530, 100);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,530,100,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
  fdui->entities_file_path = obj = fl_add_input(FL_NORMAL_INPUT,150,30,240,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,30,110,20,"Entities File Path:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_button(FL_NORMAL_BUTTON,410,10,100,30,"OK");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form2_OK,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,410,50,100,30,"Cancel");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,Entities_Cancel,0);
  fl_end_form();

  fdui->Entities->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_Statistics *create_form_Statistics(void)
{
  FL_OBJECT *obj;
  FD_Statistics *fdui = (FD_Statistics *) fl_calloc(1, sizeof(*fdui));

  fdui->Statistics = fl_bgn_form(FL_NO_BOX, 310, 160);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,310,160,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
  obj = fl_add_text(FL_NORMAL_TEXT,20,20,70,20,"Instances:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,50,70,20,"Surfaces:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,80,70,20,"Patches:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,160,20,60,20,"Elements:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,160,50,60,20,"Vertices:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,20,70,20,"Instances:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,350,210,50,40,"Text");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->instances = obj = fl_add_text(FL_NORMAL_TEXT,100,20,50,20,"0");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->surfaces = obj = fl_add_text(FL_NORMAL_TEXT,100,50,50,20,"0");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->patches = obj = fl_add_text(FL_NORMAL_TEXT,100,80,50,20,"0");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->elements = obj = fl_add_text(FL_NORMAL_TEXT,240,20,50,20,"0");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->vertices = obj = fl_add_text(FL_NORMAL_TEXT,240,50,50,20,"0");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_button(FL_NORMAL_BUTTON,110,110,100,30,"OK");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form6_OK,0);
  fl_end_form();

  fdui->Statistics->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_Calculate *create_form_Calculate(void)
{
  FL_OBJECT *obj;
  FD_Calculate *fdui = (FD_Calculate *) fl_calloc(1, sizeof(*fdui));

  fdui->Calculate = fl_bgn_form(FL_NO_BOX, 390, 190);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,390,190,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
  obj = fl_add_text(FL_NORMAL_TEXT,40,40,90,20,"Number of Steps:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,70,90,20,"Convergence:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,100,90,20,"Elapsed Time:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,230,40,60,20,"Maximum:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,230,70,60,20,"Minimum:");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->number_of_steps = obj = fl_add_text(FL_NORMAL_TEXT,140,40,60,20,"0");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->convergence = obj = fl_add_text(FL_NORMAL_TEXT,140,70,60,20,"1.0");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->elapsed_time = obj = fl_add_text(FL_NORMAL_TEXT,140,100,60,20,"0:00:00");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->maximum = obj = fl_add_text(FL_NORMAL_TEXT,300,40,50,20,"250");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->minimum = obj = fl_add_text(FL_NORMAL_TEXT,300,70,50,20,"0.001");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->calculate_button = obj = fl_add_button(FL_NORMAL_BUTTON,120,140,140,30,"OK");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_callback(obj,callback_form9_OK,0);
  fl_end_form();

  fdui->Calculate->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_getstepno *create_form_getstepno(void)
{
  FL_OBJECT *obj;
  FD_getstepno *fdui = (FD_getstepno *) fl_calloc(1, sizeof(*fdui));

  fdui->getstepno = fl_bgn_form(FL_NO_BOX, 380, 140);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,380,140,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
  fdui->stepno = obj = fl_add_input(FL_INT_INPUT,170,60,50,20,"");
  obj = fl_add_text(FL_NORMAL_TEXT,30,30,330,20,"Please enter the number of steps for rendering (1 - 250)");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_button(FL_NORMAL_BUTTON,120,90,160,30,"OK");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form10_OK,0);
  fl_end_form();

  fdui->getstepno->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_errormessage *create_form_errormessage(void)
{
  FL_OBJECT *obj;
  FD_errormessage *fdui = (FD_errormessage *) fl_calloc(1, sizeof(*fdui));

  fdui->errormessage = fl_bgn_form(FL_NO_BOX, 400, 140);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,400,140,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
  fdui->errortext = obj = fl_add_text(FL_NORMAL_TEXT,30,40,340,50,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_button(FL_NORMAL_BUTTON,120,100,150,30,"OK");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form11_OK,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,10,110,30,"ERROR!");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_RED);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fl_end_form();

  fdui->errormessage->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_About *create_form_About(void)
{
  FL_OBJECT *obj;
  FD_About *fdui = (FD_About *) fl_calloc(1, sizeof(*fdui));

  fdui->About = fl_bgn_form(FL_NO_BOX, 430, 180);
  obj = fl_add_box(FL_SHADOW_BOX,0,0,430,180,"");
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_COL1);
  obj = fl_add_text(FL_NORMAL_TEXT,30,30,370,40,"HELIOS - Radiosity Renderer 1.0");
    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_SHADOW_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,90,140,30,"Osman Ozturk");
    fl_set_object_boxtype(obj,FL_ROUNDED_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE+FL_SHADOW_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,130,290,30,"Tolga Aydin");
    fl_set_object_boxtype(obj,FL_ROUNDED_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE+FL_SHADOW_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,180,90,220,30,"Mehmet Buyuksalvarci");
    fl_set_object_boxtype(obj,FL_ROUNDED_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE+FL_SHADOW_STYLE);
  obj = fl_add_button(FL_NORMAL_BUTTON,330,130,70,30,"OK");
    fl_set_object_boxtype(obj,FL_ROUNDED_BOX);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,callback_form12_OK,0);
  fl_end_form();

  fdui->About->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

